#include <stdio.h>
#include "Pilha.h"

void estacionar(Pilha *f);
void retirarCarro(Pilha *f);

int main()
{
  int opcao;
	Pilha pilha;
	inicializar(&pilha);
  do 
  {
    printf("M E N U\n\n");
    printf("1 - Estacionar Carro\n");
    printf("2 - Retirar Carro\n");
    printf("3 - Sair\n\n");
    printf("Digite sua opcao: ");
    scanf("%i", &opcao);
    switch(opcao)
    {
      case 1:
        estacionar(&pilha);
        break;
      case 2:
        retirarCarro(&pilha);
        break;
      default:
        if (opcao != 3)
          printf("Opcao invalida!\n\n");
    }
  }
  while (opcao != 3);
	return 0;
}

void estacionar(Pilha *p)
{
  int carro;
  if (!cheia(p))
  {
    printf("Digite o numero do seu carro: ");
    scanf("%i", &carro);
    empilhar(p, carro);
    printf("Carro estacionado com sucesso!\n\n");
  }
  else
  {
    printf("Sinto muito. Estacionamento lotado!\n\n");
  }
}

void retirarCarro(Pilha *p)
{
  int carro, carroRetirado;
  Pilha ruaSemSaida;
  if (!vazia(p))
  {
    printf("Digite o numero do seu carro: ");
    scanf("%i", &carro);
    if (pertence(p, carro))
    {
      inicializar(&ruaSemSaida);
      carroRetirado = desempilhar(p);
      while (carroRetirado != carro)
      {
        empilhar(&ruaSemSaida, carroRetirado);
        carroRetirado = desempilhar(p);
      }
      while(!vazia(&ruaSemSaida))
      {
        carroRetirado = desempilhar(&ruaSemSaida);
        empilhar(p, carroRetirado);
      }
      printf("Carro retirado do estacionamento.\n\n");
    }
    else
    {
      printf("Carro nao esta estacionado.\n\n");
    }
  }
  else
  {
    printf("Estacionamento vazio.\n\n");
  }
}
